function Umat = compute_Umat_LRRS(Phi,W_1_diag_c,lambda,weight_op,dim_tangent,d1,d2)
%compute_Vmat_LRRS Compute an auxiliary matrix for IRLS for simultaneously
% low-rank and row-sparse recovery.
handle_action = @(gam) Phi*((lambda./weight_op.S_c_eps+W_1_diag_c).^(-1).*reshape(tangspace_to_matrixspace(gam,weight_op),d1*d2,1));
handle_matrixaction = @(Y) cell2mat(cellfun(handle_action,num2cell(Y,1),'UniformOutput',false));
Umat = handle_matrixaction(speye(dim_tangent));
%cell2mat(cellfun(A,num2cell(X,1),'UniformOutput',false));
end